Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.inspector
Class IdeInspectorComponent

    java.lang.Object
      |
      +--java.beans.FeatureDescriptor
            |
            +--com.togethersoft.openapi.ide.inspector.IdeInspectorComponent

Direct Known Subclasses:
  IdeInspectorCompoundComponent, IdeInspectorPropertySetComponent, IdeInspectorSinglePropertyComponent, DescriptionComponent, DocComponent, RwiElementsComponent

public class IdeInspectorComponent
extends FeatureDescriptor

Class `IdeInspectorComponent` represents abstract component of inspector. This component has a `HashTable` of services. Each service is a class having methods to get information about the component, to perform some actions. Any class can be used as a service.
This `HashTable` of services is the same as the table of properties. However, but while the latter only represents certain information about this component, the services can perform certain actions. This class provides two actions: set new service and get service.
The inspector can have any number of components.

Author:
  TogetherSoft

Method Summary
`Object` | `getService(Class clazz)` Returns an `Object` that provides service for this component.
`void` | `setService(Class clazz, Object service)` Adds new service for this component.
`void` | `update()` Updates this component.

Methods inherited from class java.beans.FeatureDescriptor
`getName, setName, getDisplayName, setDisplayName, isExpert, setExpert, isHidden, setHidden, isPreferred, setPreferred, getShortDescription, setShortDescription, setValue, getValue, attributeNames`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize`

Method Detail

### getService

    public Object getService(Class clazz)

  Returns an `Object` that provides service for this component. In the `HashTable` of services the key for the service object is the class of this object.
  Parameters:
    clazz - `Class` that provides the service
  Returns: `Object` instance of this class

### setService

    public void setService(Class clazz, Object service)

  Adds new service for this component.
  Parameters:
    clazz - `Class` that provides the service
    service - `Object` instance of this class

### update

    public void update()

  Updates this component.

Association Links

to Class java.util.Hashtable

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD